/****************************************************************
 * e_ext.c
 * Last change 12-22-2013 by Osman Celimli
 ****************************************************************/
#define _CRTDBG_MAP_ALLOC
#include <stdlib.h>
#include <crtdbg.h>

#include <stdio.h>
#include <string.h>
#include <windows.h>

#include "useful.h"
#include "options.h"
/****************************************************************
 * Important Globals
 ****************************************************************/
char gszFileType[3] = "FX";
/****************************************************************
 * Text Tables
 ****************************************************************/
char ERR_BigExtension[]= "ERROR- File Extension Longer than Two Characters : ";
/****************************************************************
 * int e_setType(char *pszNewExt)
 * Change the current two-character file extension.
 ****************************************************************/
int e_setType(char *pszNewExt)
{
	if(strlen(pszNewExt) > 2)
	{
		fprintf(stderr, "%s%s\n", ERR_BigExtension, pszNewExt);
		return -1;
	}
	gszFileType[0] = 0;
	gszFileType[1] = 0;
	strcpy(gszFileType, pszNewExt);
	return 0;
}
